List all seat events
Retrieve a paginated list of all your submitted seat events.
Documentation Index
Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Sort order. Default: DESC (descending, most often used for reverse chronological sorting).
Filter event by customer alias
Filter events by customer IDs. Resolves to all of each customer's aliases (and the customer ID itself). Comma-separated, max 25 IDs.
Filter events by seat type
Filter events by customer event ID
Filter events by timestamp before
Filter events by timestamp after
Sort column. Default: creation time.
Response
OK
Seat events
[
{
"id": "0184421a-8202-70ea-a729-30308a40bbf7",
"customerEventId": "event-id-H4twuTWpYx1rkd8OMTki2hTUcZ",
"customerAlias": "customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW",
"seatType": "admin",
"sequenceAccountId": "0184421e-a9cc-711b-af93-bf0511d4d833",
"eventTimestamp": "2022-10-01T00:00:00Z",
"total": 1
}
]Results pagination
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}